using System.Diagnostics.CodeAnalysis;
using Unity;

namespace Valg.EVA.Skanning.ContainerExtensions
{
    public class UnityInstaller : IUnityInstaller
    {
        [SuppressMessage("Microsoft.Reliability", "CA2000:Dispose objects before losing scope")]
        public void Install(IUnityContainer unityContainer)
        {
            unityContainer.RegisterType<ITypedFactory, TypedFactory>(ContainerLifetimes.CreateContainerControlledLifetimeManager());
        }
    }
}
